module summer(
    input signed [15:0] ip1,
    input signed [15:0] ip2,
    input signed [15:0] ip3,
    output signed [15:0] summed_op,
    input [4:0] key_1,
    input [4:0] key_2,
    input [4:0] key_3

    );


reg [17:0] summed_op_temp;


   always @(*) begin
       if (key_1 == 0 && key_2 == 0 && key_3 != 0) begin
           summed_op_temp = ip3;
           summed_op = summed_op_temp[15:0];
       end
       else if (key_1 == 0 && key_2 != 0 && key_3 == 0) begin
           summed_op_temp = ip2;
           summed_op = summed_op_temp[15:0];
       end
       else if (key_1 != 0 && key_2 == 0 && key_3 == 0) begin
           summed_op_temp = ip1;
           summed_op = summed_op_temp[15:0];
       end

       else if (key_1 == 0 && key_2 != 0 && key_3 != 0) begin
           summed_op_temp = (ip2 + ip3) / 2;
           summed_op = {summed_op_temp[16], summed_op_temp[14:0]};
       end
       else if (key_1 != 0 && key_2 == 0 && key_3 != 0) begin
           summed_op_temp = (ip1 + ip3) / 2;
           summed_op = {summed_op_temp[16], summed_op_temp[14:0]};
       end
       else if (key_1 != 0 && key_2 != 0 && key_3 == 0) begin
           summed_op_temp  = (ip1 + ip2) / 2;
           summed_op = {summed_op_temp[16], summed_op_temp[14:0]};
       end

       else begin
           summed_op_temp = (ip1 + ip2 + ip3) / 3 ;
           summed_op = {summed_op_temp[17], summed_op_temp[14:0]};
       end
   end 


endmodule
