#include<stdio.h>
#include<stdlib.h>
#include<string.h>
signed int wav_table[48000];

char *sin_file= "sin.txt";
char *tri_file= "tri.txt";
char *squ_file= "squ.txt";
char *saw_file= "saw.txt";

#define MAX_LINESIZE 15

int line_num = 0;
char line [MAX_LINESIZE+1];
char * next_field;

char *ptr ;

int i = 0;

int load_wave_table( char * fn){
    FILE * f = fopen (fn, "r");
    while (1){
        fgets(line, MAX_LINESIZE, f);

        if(feof(f))
            break;

        line_num++;
        next_field = strtok(line, " \n");
        while (next_field != NULL)
        {
            int v = (int)strtol(next_field, &ptr, 10);
            wav_table[i++] = v;
            //        printf("Line %d:%s \t int:%d\n", line_num, next_field, v);
            next_field = strtok(NULL, " \n");
        }
    }
    fclose(f);
    return 0;
}

int main (){
    load_wave_table(sin_file);
    for (int i = 0; i < 48000; i++)
        printf("%d\n", wav_table[i]);
    return 0;
}
